summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorsL1pKn072020-12-31 21:24:45 +0100
committersL1pKn072020-12-31 21:24:45 +0100
commitb0338518f5e13572c289ab0bf9051026a181a51f (patch)
tree4d6f0430b70efb3a3d590578dc39c4942349ccce
parent8997a65b5a000648be088c2cdad56d6b9bbca83a (diff)
downloadaur-b0338518f5e13572c289ab0bf9051026a181a51f.tar.gz
bump
-rw-r--r--.SRCINFO23
-rw-r--r--PKGBUILD26
2 files changed, 30 insertions, 19 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 1eb32ad0f2d..1d937cafa21 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = pipewire-git
pkgdesc = Server and user space API to deal with multimedia pipelines. (GIT version)
- pkgver = 0.3.18.91.gc39ba857
+ pkgver = 0.3.18.102.gd09cb1f0
pkgrel = 1
url = https://pipewire.org
arch = x86_64
@@ -11,13 +11,15 @@ pkgbase = pipewire-git
makedepends = graphviz
makedepends = xmltoman
makedepends = valgrind
- makedepends = jack2
makedepends = libpulse
makedepends = alsa-lib
+ makedepends = jack2
makedepends = sbc
makedepends = rtkit
makedepends = vulkan-icd-loader
makedepends = dbus
+ makedepends = sdl2
+ makedepends = ncurses
makedepends = libsndfile
makedepends = bluez-libs
makedepends = vulkan-headers
@@ -30,18 +32,21 @@ pkgbase = pipewire-git
pkgname = pipewire-git
install = pipewire-git.install
- depends = rtkit
- depends = vulkan-icd-loader
depends = alsa-card-profiles
+ depends = bluez-libs
depends = libsndfile.so
- depends = libudev.so
depends = libasound.so
- depends = libsystemd.so
depends = libdbus-1.so
+ depends = libfdk-aac.so
+ depends = libldacBT_enc.so
+ depends = libncursesw.so
+ depends = libopenaptx.so
+ depends = libsystemd.so
+ depends = libudev.so
+ depends = rtkit
depends = sbc
- depends = libldac
- depends = libopenaptx
- depends = libfdk-aac
+ depends = sdl2
+ depends = vulkan-icd-loader
optdepends = pipewire-docs-git: Documentation
optdepends = pipewire-jack-git: JACK support
optdepends = pipewire-alsa-git: ALSA support
diff --git a/PKGBUILD b/PKGBUILD
index e5a87d4c5bd..b0a6d850bd5 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -6,7 +6,7 @@ pkgname=('pipewire-git'
'pipewire-pulse-git'
'pipewire-ffmpeg-git'
)
-pkgver=0.3.18.91.gc39ba857
+pkgver=0.3.18.102.gd09cb1f0
pkgrel=1
pkgdesc='Server and user space API to deal with multimedia pipelines. (GIT version)'
arch=('x86_64')
@@ -18,13 +18,15 @@ makedepends=('git'
'graphviz'
'xmltoman'
'valgrind'
- 'jack2'
'libpulse'
'alsa-lib'
+ 'jack2'
'sbc'
'rtkit'
'vulkan-icd-loader'
'dbus'
+ 'sdl2'
+ 'ncurses'
'libsndfile'
'bluez-libs'
'vulkan-headers'
@@ -81,18 +83,21 @@ _pick() {
package_pipewire-git() {
depends=(
- 'rtkit'
- 'vulkan-icd-loader'
'alsa-card-profiles'
+ 'bluez-libs'
'libsndfile.so'
- 'libudev.so'
'libasound.so'
- 'libsystemd.so'
'libdbus-1.so'
+ 'libfdk-aac.so'
+ 'libldacBT_enc.so'
+ 'libncursesw.so'
+ 'libopenaptx.so'
+ 'libsystemd.so'
+ 'libudev.so'
+ 'rtkit'
'sbc'
- 'libldac'
- 'libopenaptx'
- 'libfdk-aac'
+ 'sdl2'
+ 'vulkan-icd-loader'
)
optdepends=('pipewire-docs-git: Documentation'
'pipewire-jack-git: JACK support'
@@ -163,8 +168,9 @@ package_pipewire-alsa-git() {
conflicts=('pipewire-alsa')
arch=('any')
- mkdir -p "${pkgdir}/etc/alsa/conf.d"
+ mkdir -p "$pkgdir"/etc/{alsa/conf.d,pipewire/media-session.d}
ln -st "${pkgdir}/etc/alsa/conf.d" /usr/share/alsa/alsa.conf.d/99-pipewire-default.conf
+ touch "$pkgdir/etc/pipewire/media-session.d/with-alsa"
}
package_pipewire-pulse-git() {